"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.message = exports.Message = void 0;
class Message {
    constructor(options) {
        this.options = options;
    }
    get messager() {
        var _a, _b;
        if (this._messager)
            return this._messager;
        if ((_a = this.options) === null || _a === void 0 ? void 0 : _a.messager) {
            this._messager = (_b = this.options) === null || _b === void 0 ? void 0 : _b.messager;
        }
        else if (window.__doreamonjs.message) {
            this._messager = window.__doreamonjs.message;
        }
        return this._messager;
    }
    info(content, duration, onClose) {
        return this.messager.info(content, duration, onClose);
    }
    success(content, duration, onClose) {
        return this.messager.success(content, duration, onClose);
    }
    error(content, duration, onClose) {
        return this.messager.error(content, duration, onClose);
    }
    warning(content, duration, onClose) {
        return this.messager.warning(content, duration, onClose);
    }
    loading(content, duration, onClose) {
        return this.messager.loading(content, duration, onClose);
    }
    //
    open(config) {
        return this.messager.open(config);
    }
    config(options) {
        var _a, _b;
        return (_b = (_a = this.messager) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.call(_a, options);
    }
}
exports.Message = Message;
exports.message = new Message();
